# Poco

# class InputStreamConverter

Library: Foundation
Package: Text
Header: Poco/StreamConverter.h

## Description

This stream converts all characters read from the underlying istream from one character encoding into another. If a character cannot be represented in outEncoding, defaultChar is used instead. If a byte sequence read from the underlying stream is not valid in inEncoding, defaultChar is used instead and the encoding error count is incremented.

## Inheritance

Direct Base Classes: StreamConverterIOS, std::istream

All Base Classes: StreamConverterIOS, std::ios, std::istream

## Member Summary

Inherited Functions: errors, rdbuf

## Constructors

### InputStreamConverter

InputStreamConverter(
std::istream & istr,
const TextEncoding & inEncoding,
const TextEncoding & outEncoding,
int defaultChar = '?'
);

Creates the InputStreamConverter and connects it to the given input stream.

## Destructor

### ~InputStreamConverter

~InputStreamConverter();

Destroys the stream.